Delete Doc

Archive a doc. The doc leaves the default list and is returned by List Docs with `scope=archived` or `scope=all`.

DELETE/api/v1/docs/{fileId}
X-API-Key<token>

Your SteelEngine API key (personal, workspace, or organization). Create personal and workspace keys under Settings > API Keys. Create organization keys under Organization Settings > API Keys.

In: header

Path Parameters

fileId*string

The unique identifier of the doc to delete.

Query Parameters

workspaceId*string

The unique identifier of the workspace.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/docs/string?workspaceId=string"
{  "success": true,  "data": {    "message": "File archived successfully"  }}